opensaml-3.0.1

Public Member Functions | List of all members
opensaml::saml2md::MetadataCredentialCriteria Class Reference

Metadata-based CredentialCriteria subclass. More...

`#include <saml/saml2/metadata/MetadataCredentialCriteria.h>`

Inheritance diagram for opensaml::saml2md::MetadataCredentialCriteria:
[legend]
Collaboration diagram for opensaml::saml2md::MetadataCredentialCriteria:
[legend]

## Public Member Functions
| MetadataCredentialCriteria (const RoleDescriptor &role)
| Constructor. More...
const RoleDescriptor & | getRole () const
| Return the metadata role associated with the credentials. More...
bool | matches (const xmltooling::Credential &credential) const
| Get whether the candidate credential matches the criteria. More...

## Detailed Description

Metadata-based CredentialCriteria subclass.

## Constructor & Destructor Documentation

## ◆ MetadataCredentialCriteria()

opensaml::saml2md::MetadataCredentialCriteria::MetadataCredentialCriteria | ( | const RoleDescriptor & | role | ) |

Constructor.

Parameters

  role | source of metadata-supplied credentials

## Member Function Documentation

## ◆ getRole()

const RoleDescriptor & opensaml::saml2md::MetadataCredentialCriteria::getRole | ( |  | ) | const
| inline

Return the metadata role associated with the credentials.

Returns
  the associated metadata role

## ◆ matches()

bool opensaml::saml2md::MetadataCredentialCriteria::matches | ( | const xmltooling::Credential & | credential | ) | const

Get whether the candidate credential matches the criteria.

Parameters

  credential | candidate

The documentation for this class was generated from the following file:

- saml/saml2/metadata/MetadataCredentialCriteria.h